-->

signed

QiShunwang

“诚信为本、客户至上”

错误:RuntimeError: CUDA error: no kernel image is available for execution on the device

2021/6/3 17:05:22   来源:

CUDA和Pytorch版本不对应。

显卡太老,不支持高版本Pytorch

本人显卡Quadro K2100M,Pytorch1.0.0及以上版本皆不支持,奈何电脑只能装CUDA10.1,低版本的安装不了,故只能换台电脑了。简直不要太开心呀,呜呜呜呜呜呜呜艹

方法一

更换新版本或更高算力的显卡,然后选择CUDA与Pytorch对应版本;

方法二

降低Pytorch版本至与CUDA版本匹配;

(所以,只要显卡够新,就只需要匹配好CUDA和Pytorch的版本就好)

附:CUDA与Pytorch版本对应表